ARM32_DRAIN_WRITEBUF(2)

NAME
arm32_drain_writebuf - drains the cpu write buffer

LIBRARY
libarm32

SYNOPSIS
#include <machine/sysarch.h>
int
arm32_drain_writebuf();

DESCRIPTION
arm32_drain_writebuf() will make sure that all the entries in the processor write buffer are written out to memory.

Not all processors support this operation (currently only the SA110). Those processes that do not treat this function as a null-op.

ERRORS
arm32_drain_writebuf() will never fail so will always return 0.

REFERENCES
StrongARM Data Sheet